Bug 3458 - bad autocomplet 'apt-get remove' command
: bad autocomplet 'apt-get remove' command
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/zsh)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-10 23:55 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-10 23:55:49
неверно работает автодополнение для команды apt-get remove:
если вообще не набирать имени пакета, то по TAB будет выдан список
установленных
пакетов без разделителей, а если ввести начало имени, то никаких вариантов не
предлагается. Версия zsh-4.1.1 В августовском Сизифе всё работало правильно.
------- Comment #1 From 2004-01-14 15:59:19 -------
Thanks for report.  The bug (package names concatenated without any delimiter)
was introduced with my optimization for speed.  This patch seems to fix this.

--- /usr/share/zsh/functions/Completion/Debian/_rpm_packages-   2003-11-06
18:33:46 +0300
+++ /usr/share/zsh/functions/Completion/Debian/_rpm_packages    2004-01-14
15:52:00 +0300
@@ -20,7 +20,7 @@
       _cache_invalid RPMS_installed ) && ! _retrieve_cache RPMS_installed;
   then
     _rpm_packages_cache_installed=(
-      ${(z)$(rpm -qa --qf '%{NAME}')}
+      ${(z)$(rpm -qa --qf '%{NAME}\n')}
     )
     _store_cache RPMS_installed _rpm_packages_cache_installed
   fi

------- Comment #2 From 2004-02-15 05:55:26 -------
Fixed in zsh-4.1.1-alt4.